﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace KlubSportowy.Repositories
{
    public interface IContributionsRepository
    {
        List<UsersContributions> GetAllContributions();
        List<UsersContributions> GetContributions(int startIndex, int count, string sorting);
        List<UsersContributions> GetContributionsByFilter(string name, int UserId, int startIndex, int count, string sorting);
        UsersContributions AddContribution(UsersContributions student);
        void UpdateContribution(UsersContributions contribution);
        void DeleteContribution(int COUId);
        int GetContributionsCount();
        int GetContributionsCountByFilter(string Name, int UserId);
    }
}