﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace KlubSportowy.Repositories.Memory
{
    public class MemoryUserRepository : IUserRepository
    {
        private readonly MemoryDataSource _dataSource;

        public MemoryUserRepository(MemoryDataSource dataSource)
        {
            _dataSource = dataSource;
        }

        public List<aspnet_Users> GetAllUsers()
        {
            return _dataSource.Users.OrderBy(u => u.UserName).ToList();
        }
    }
}