﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace KlubSportowy.Repositories.Memory
{
    public class MemoryAmountRepository : IAmountRepository
    {
        private readonly MemoryDataSource _dataSource;

        public MemoryAmountRepository(MemoryDataSource dataSource)
        {
            _dataSource = dataSource;
        }

        public List<ContributionsSet> GetAllAmount()
        {
            return _dataSource.ContributionsSet.OrderBy(c => c.Amount).ToList();
        }
    }
}